Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteSpecification

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SatelliteSpecification

public class SatelliteSpecification extends Object
Satellite specification type. <p>Java class for SatelliteSpecification complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteSpecification"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="ResolutionFactor" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`
  Selected satellite identifier.
  `protected int`
  `resolutionFactor`
  Resolution factor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteSpecification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Selected satellite identifier.
  `int`
  `getResolutionFactor()`
  Resolution factor.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setResolutionFactor(int value)`
  Sets the value of the resolutionFactor property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id
    Selected satellite identifier.

  - ### resolutionFactor

    protected int resolutionFactor
    Resolution factor. Include 1 out of every ResolutionFactor values.

- ## Constructor Details

  - ### SatelliteSpecification

    public SatelliteSpecification()

- ## Method Details

  - ### getId

    public String getId()
    Selected satellite identifier.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getResolutionFactor

    public int getResolutionFactor()
    Resolution factor. Include 1 out of every ResolutionFactor values.

  - ### setResolutionFactor

    public void setResolutionFactor(int value)
    Sets the value of the resolutionFactor property.